## org.gnu.gdk
Class Atom

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.gdk.Atom

public class Atom
extends org.gnu.glib.Struct

Constructor Summary
`Atom(org.gnu.glib.Handle handle)` Builds an atom with the specified handle.
`Atom(java.lang.String name, boolean onlyIfExists)`

Method Summary
`java.lang.String` `getName()` Obtains the atom's name.

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Atom

    public Atom(java.lang.String name,
                boolean onlyIfExists)

### Atom

    public Atom(org.gnu.glib.Handle handle)

  Builds an atom with the specified handle.

Method Detail

### getName

    public java.lang.String getName()

  Obtains the atom's name.

  Returns:
    The atom's name